<< morlet | FOSSEE_Signal_Processing_Toolbox | mpoles >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > movingrms

# movingrms

Find moving RMS value of signal in x

### Syntax

    [rmsx,w]=movingrms(x,width,risetime)
    [rmsx,w]=movingrms(x,width,risetime,Fs)

### Parameters

x:

  (Real or complex valued vector or matrix) Input Signal

width:

  Real or complex scalar value

risetime:

  Real or complex scalar value

Fs:

  (Real or complex scalar value) Sampling frequency

### Description

In this function signal is convoluted against a sigmoid window of width w and risetime rc with the units of these parameters relative to the value of the sampling frequency given in Fs (Default value=1).

### Examples

    [a,b]=movingrms ([4.4 94 1;-2 5*%i 5],1,-2)

Report an issue
<< morlet | FOSSEE_Signal_Processing_Toolbox | mpoles >>